upgrading ios

Unanswered Question
Apr 16th, 2007

I have a 2950 series switch running ios version 12.1(19)EA1c but it doesnt have alot of features. Where can I find out the most up-to-date version that the 2950 can handle?

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
pstebner1 Mon, 04/16/2007 - 10:48

The last release for a 2950 was 12.1.22-EA8a, and can be downloaded here (you need a logon):


However, it's not the release that limits the features. There are several feature sets for each release, each with additional or different functionality. You most likely have an IPBASE version or similar. Memory can be a limiting factor to which feature set you are able to run.



MZydorczyk2 Wed, 04/18/2007 - 09:42

when i click on the link will i be able to choose the right image i want from that version of image? Like cryptographic or not?


This Discussion